diff --git a/pki/base/util/src/com/netscape/cmsutil/http/HttpClient.java b/pki/base/util/src/com/netscape/cmsutil/http/HttpClient.java
index 2efc72674dcc56f4f1ef5354875f345ac0289518..5924745c1209a291c2acbf4ecb05c68eaf08a660 100644
--- a/pki/base/util/src/com/netscape/cmsutil/http/HttpClient.java
+++ b/pki/base/util/src/com/netscape/cmsutil/http/HttpClient.java
@@ -17,10 +17,17 @@
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.cmsutil.http;
 
+import java.io.BufferedReader;
+import java.io.IOException;
+import java.io.InputStream;
+import java.io.InputStreamReader;
+import java.io.OutputStream;
+import java.io.OutputStreamWriter;
 import java.net.Socket;
-import java.io.*;
-import com.netscape.cmsutil.net.*;
-import org.mozilla.jss.ssl.*;
+
+import org.mozilla.jss.ssl.SSLCertificateApprovalCallback;
+
+import com.netscape.cmsutil.net.ISocketFactory;
 
 /**
  * basic http client.
@@ -192,9 +199,6 @@ public class HttpClient {
         //System.out.println(content);
 
         if (args.length >= 4 && args[3].equalsIgnoreCase("keep-alive")) {
-            int len;
-            char[] msgbody;
-
             for (int i = 0; i < 2; i++) {
                 if (i == 1) req.setHeader("Connection", "Close");
                 resp = c.send(req);
diff --git a/pki/base/util/src/com/netscape/cmsutil/http/HttpEofException.java b/pki/base/util/src/com/netscape/cmsutil/http/HttpEofException.java
index 6944b386aa1b518af2d1cc912b2a79f90f59c6b7..706321fabf7d1eb5fc347b04b0fbc446b0ff8b44 100644
--- a/pki/base/util/src/com/netscape/cmsutil/http/HttpEofException.java
+++ b/pki/base/util/src/com/netscape/cmsutil/http/HttpEofException.java
@@ -22,6 +22,8 @@ import java.io.IOException;
 
 
 public class HttpEofException extends IOException {
+    private static final long serialVersionUID = 433303354049669059L;
+
     public HttpEofException() {
         super();
     }
diff --git a/pki/base/util/src/com/netscape/cmsutil/http/HttpMessage.java b/pki/base/util/src/com/netscape/cmsutil/http/HttpMessage.java
index 56c4a27f9af3cbb22d4ee06a0aa6b3f2fb0d8bc9..93eeef68c14d62d08de570b807e4835980b9de5b 100644
--- a/pki/base/util/src/com/netscape/cmsutil/http/HttpMessage.java
+++ b/pki/base/util/src/com/netscape/cmsutil/http/HttpMessage.java
@@ -18,9 +18,11 @@
 package com.netscape.cmsutil.http;
 
 
-import java.io.*;
-import java.util.Hashtable;
+import java.io.BufferedReader;
+import java.io.IOException;
+import java.io.OutputStreamWriter;
 import java.util.Enumeration;
+import java.util.Hashtable;
 
 
 /**
diff --git a/pki/base/util/src/com/netscape/cmsutil/http/HttpProtocolException.java b/pki/base/util/src/com/netscape/cmsutil/http/HttpProtocolException.java
index 8a52f4f78d07e13998bdefeffddba8c538f1eb49..116f725998ca7269ab2cbbe5e3f9cf34bb636786 100644
--- a/pki/base/util/src/com/netscape/cmsutil/http/HttpProtocolException.java
+++ b/pki/base/util/src/com/netscape/cmsutil/http/HttpProtocolException.java
@@ -22,6 +22,8 @@ import java.io.IOException;
 
 
 public class HttpProtocolException extends IOException {
+    private static final long serialVersionUID = -953002842302351684L;
+
     public HttpProtocolException() {
         super();
     }
diff --git a/pki/base/util/src/com/netscape/cmsutil/http/HttpRequest.java b/pki/base/util/src/com/netscape/cmsutil/http/HttpRequest.java
index f22c5045230efc478478bed64b7924d192229f46..848b07f349fac36030182a012fc261ba1d2a5833 100644
--- a/pki/base/util/src/com/netscape/cmsutil/http/HttpRequest.java
+++ b/pki/base/util/src/com/netscape/cmsutil/http/HttpRequest.java
@@ -18,9 +18,9 @@
 package com.netscape.cmsutil.http;
 
 
-import java.io.*;
-import java.util.Hashtable;
-import java.util.Enumeration;
+import java.io.BufferedReader;
+import java.io.IOException;
+import java.io.OutputStreamWriter;
 
 
 /**
@@ -49,8 +49,8 @@ public class HttpRequest extends HttpMessage {
      */
     public void setMethod(String method)
         throws HttpProtocolException {
-        if (!method.equals(GET) && !method.equals(HEAD) && 
-            !method.equals(POST))
+        if (!method.equals(HttpRequest.GET) && !method.equals(HttpRequest.HEAD) && 
+            !method.equals(HttpRequest.POST))
             throw new HttpProtocolException("No such method " + method);
         mMethod = method;
     }
@@ -89,8 +89,8 @@ public class HttpRequest extends HttpMessage {
         int method = mLine.indexOf(Http.SP);
 
         mMethod = mLine.substring(0, method);
-        if (!mMethod.equals(GET) && !mMethod.equals(POST) && 
-            !mMethod.equals(HEAD)) {
+        if (!mMethod.equals(HttpRequest.GET) && !mMethod.equals(HttpRequest.POST) && 
+            !mMethod.equals(HttpRequest.HEAD)) {
             reset();
             throw new HttpProtocolException("Bad Http request method");
         }	
diff --git a/pki/base/util/src/com/netscape/cmsutil/http/HttpResponse.java b/pki/base/util/src/com/netscape/cmsutil/http/HttpResponse.java
index 9309f2bb10cd098f010406946724201acd85d4fb..09d8e562d1ca27c7eb32c787e75ffe37f5b27888 100644
--- a/pki/base/util/src/com/netscape/cmsutil/http/HttpResponse.java
+++ b/pki/base/util/src/com/netscape/cmsutil/http/HttpResponse.java
@@ -18,9 +18,9 @@
 package com.netscape.cmsutil.http;
 
 
-import java.io.*;
-import java.util.Hashtable;
-import java.util.Enumeration;
+import java.io.BufferedReader;
+import java.io.IOException;
+import java.io.OutputStreamWriter;
 
 
 /**
diff --git a/pki/base/util/src/com/netscape/cmsutil/http/JssSSLSocketFactory.java b/pki/base/util/src/com/netscape/cmsutil/http/JssSSLSocketFactory.java
index f72c34badac876a66d2e201697633c2f189a9d6d..2b78a230f43f341cb6af6dce0e716a662b57fb35 100644
--- a/pki/base/util/src/com/netscape/cmsutil/http/JssSSLSocketFactory.java
+++ b/pki/base/util/src/com/netscape/cmsutil/http/JssSSLSocketFactory.java
@@ -18,14 +18,19 @@
 package com.netscape.cmsutil.http;
 
 
-import java.net.*;
-import java.io.*;
-import netscape.ldap.*;
-import org.mozilla.jss.ssl.*;
+import java.io.IOException;
+import java.net.Socket;
+import java.net.SocketException;
+import java.net.UnknownHostException;
+
 import org.mozilla.jss.CryptoManager;
-import org.mozilla.jss.crypto.X509Certificate;
+import org.mozilla.jss.ssl.SSLCertificateApprovalCallback;
+import org.mozilla.jss.ssl.SSLClientCertificateSelectionCallback;
+import org.mozilla.jss.ssl.SSLHandshakeCompletedEvent;
+import org.mozilla.jss.ssl.SSLHandshakeCompletedListener;
+import org.mozilla.jss.ssl.SSLSocket;
 
-import com.netscape.cmsutil.net.*;
+import com.netscape.cmsutil.net.ISocketFactory;
 
 /**
  * Uses NSS ssl socket.
@@ -85,9 +90,9 @@ public class JssSSLSocketFactory implements ISocketFactory {
             } catch( SocketException e) {
             }
         }
-        for (i = 0; cipherSuites[i] != 0; ++i) {
+        for (i = 0; JssSSLSocketFactory.cipherSuites[i] != 0; ++i) {
             try {
-                SSLSocket.setCipherPreferenceDefault(cipherSuites[i], true);
+                SSLSocket.setCipherPreferenceDefault(JssSSLSocketFactory.cipherSuites[i], true);
             } catch( SocketException e) {
             }
         }
@@ -115,7 +120,7 @@ public class JssSSLSocketFactory implements ISocketFactory {
 
             s.setUseClientMode(true);
             s.enableSSL2(false);
-            s.enableSSL2Default(false);
+            SSLSocket.enableSSL2Default(false);
             s.enableV2CompatibleHello(false);
 
             SSLHandshakeCompletedListener listener = null;
@@ -124,11 +129,7 @@ public class JssSSLSocketFactory implements ISocketFactory {
             s.addHandshakeCompletedListener(listener);
 
             if (mClientAuthCertNickname != null) {
-                // 052799 setClientCertNickname does not
-                // report error if the nickName is invalid.
-                // So we check this ourself using
-                // findCertByNickname
-                X509Certificate cert = CryptoManager.getInstance().findCertByNickname(mClientAuthCertNickname);
+                CryptoManager.getInstance().findCertByNickname(mClientAuthCertNickname);
 
                 s.setClientCertNickname(mClientAuthCertNickname);
             }
diff --git a/pki/base/util/src/com/netscape/cmsutil/ldap/LDAPUtil.java b/pki/base/util/src/com/netscape/cmsutil/ldap/LDAPUtil.java
index 9f0884833922bdb354623b3a24fbedf163bfd3d5..eaae00074295a8bf0eb8ab4cd2627df57ef8f64c 100644
--- a/pki/base/util/src/com/netscape/cmsutil/ldap/LDAPUtil.java
+++ b/pki/base/util/src/com/netscape/cmsutil/ldap/LDAPUtil.java
@@ -17,9 +17,19 @@
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.cmsutil.ldap;
 
-import netscape.ldap.*;
-import netscape.ldap.util.*;
-import java.io.*;
+import java.io.IOException;
+
+import netscape.ldap.LDAPAttribute;
+import netscape.ldap.LDAPAttributeSet;
+import netscape.ldap.LDAPConnection;
+import netscape.ldap.LDAPEntry;
+import netscape.ldap.LDAPException;
+import netscape.ldap.LDAPModification;
+import netscape.ldap.util.LDIF;
+import netscape.ldap.util.LDIFAttributeContent;
+import netscape.ldap.util.LDIFContent;
+import netscape.ldap.util.LDIFModifyContent;
+import netscape.ldap.util.LDIFRecord;
 
 public class LDAPUtil {
     public static void importLDIF(LDAPConnection conn, String filename) throws IOException {
diff --git a/pki/base/util/src/com/netscape/cmsutil/net/ISocketFactory.java b/pki/base/util/src/com/netscape/cmsutil/net/ISocketFactory.java
index 3bbe2303a6f109a6684a31454830a7d34a1de49b..9227f5911bb4be8f9d55f1e1801c3619f2705650 100644
--- a/pki/base/util/src/com/netscape/cmsutil/net/ISocketFactory.java
+++ b/pki/base/util/src/com/netscape/cmsutil/net/ISocketFactory.java
@@ -17,10 +17,12 @@
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.cmsutil.net;
 
-import java.net.Socket;
 import java.io.IOException;
+import java.net.Socket;
 import java.net.UnknownHostException;
-import org.mozilla.jss.ssl.*;
+
+import org.mozilla.jss.ssl.SSLCertificateApprovalCallback;
+import org.mozilla.jss.ssl.SSLClientCertificateSelectionCallback;
 
 public interface ISocketFactory 
 {
diff --git a/pki/base/util/src/com/netscape/cmsutil/ocsp/BasicOCSPResponse.java b/pki/base/util/src/com/netscape/cmsutil/ocsp/BasicOCSPResponse.java
index b59854a2f739dcc27b0445ab794fa0f80ef945df..73c981682f15491ed2c86d4b4dd106908ca0acf1 100644
--- a/pki/base/util/src/com/netscape/cmsutil/ocsp/BasicOCSPResponse.java
+++ b/pki/base/util/src/com/netscape/cmsutil/ocsp/BasicOCSPResponse.java
@@ -17,13 +17,21 @@
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.cmsutil.ocsp;
 
-import java.io.*;
-import org.mozilla.jss.asn1.*;
-import java.security.Signer;
-import org.mozilla.jss.asn1.OCTET_STRING;
+import java.io.ByteArrayInputStream;
+import java.io.IOException;
+import java.io.InputStream;
+import java.io.OutputStream;
+
+import org.mozilla.jss.asn1.ASN1Template;
+import org.mozilla.jss.asn1.ASN1Value;
 import org.mozilla.jss.asn1.BIT_STRING;
-import org.mozilla.jss.pkix.primitive.AlgorithmIdentifier;
+import org.mozilla.jss.asn1.EXPLICIT;
+import org.mozilla.jss.asn1.InvalidBERException;
+import org.mozilla.jss.asn1.OCTET_STRING;
+import org.mozilla.jss.asn1.SEQUENCE;
+import org.mozilla.jss.asn1.Tag;
 import org.mozilla.jss.pkix.cert.Certificate;
+import org.mozilla.jss.pkix.primitive.AlgorithmIdentifier;
 
 /**
  * RFC 2560:
@@ -66,7 +74,7 @@ public class BasicOCSPResponse implements Response
 
         // extract _rd, _signAlg, _signature and _certs
         try {
-            BasicOCSPResponse resp = (BasicOCSPResponse) getTemplate().decode(new ByteArrayInputStream(data));
+            BasicOCSPResponse resp = (BasicOCSPResponse) BasicOCSPResponse.getTemplate().decode(new ByteArrayInputStream(data));
             _rd = resp.getResponseData();
             _signAlg = resp.getSignatureAlgorithm();
             _signature = resp.getSignature();
@@ -80,7 +88,7 @@ public class BasicOCSPResponse implements Response
 
     public Tag getTag()
     {
-        return TAG;
+        return BasicOCSPResponse.TAG;
     }
 
     public void encode(Tag t, OutputStream os) throws IOException
@@ -106,7 +114,7 @@ public class BasicOCSPResponse implements Response
 
     public void encode(OutputStream os) throws IOException
     {
-        encode(TAG, os);
+        encode(BasicOCSPResponse.TAG, os);
     }
 
     public OCTET_STRING getBytes()
@@ -147,7 +155,7 @@ public class BasicOCSPResponse implements Response
     private static final Template templateInstance = new Template();
 
     public static Template getTemplate() {
-        return templateInstance;
+        return BasicOCSPResponse.templateInstance;
     }
 
     /**
@@ -170,13 +178,13 @@ public class BasicOCSPResponse implements Response
 
          public boolean tagMatch(Tag tag)
          {
-             return TAG.equals(tag);
+             return BasicOCSPResponse.TAG.equals(tag);
          }
 
          public ASN1Value decode(InputStream istream)
              throws InvalidBERException, IOException
          {
-             return decode(TAG, istream);
+             return decode(BasicOCSPResponse.TAG, istream);
          }
 
          public ASN1Value decode(Tag implicitTag, InputStream istream)
diff --git a/pki/base/util/src/com/netscape/cmsutil/ocsp/CertID.java b/pki/base/util/src/com/netscape/cmsutil/ocsp/CertID.java
index 36bf42e808b9f69d9a71e6ab6dd16de62645cbd9..1d458946fa2b80894e08587f2039cdb99a3f301f 100644
--- a/pki/base/util/src/com/netscape/cmsutil/ocsp/CertID.java
+++ b/pki/base/util/src/com/netscape/cmsutil/ocsp/CertID.java
@@ -17,9 +17,18 @@
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.cmsutil.ocsp;
 
+import java.io.IOException;
+import java.io.InputStream;
+import java.io.OutputStream;
+
+import org.mozilla.jss.asn1.ASN1Template;
+import org.mozilla.jss.asn1.ASN1Value;
+import org.mozilla.jss.asn1.INTEGER;
+import org.mozilla.jss.asn1.InvalidBERException;
+import org.mozilla.jss.asn1.OCTET_STRING;
+import org.mozilla.jss.asn1.SEQUENCE;
+import org.mozilla.jss.asn1.Tag;
 import org.mozilla.jss.pkix.primitive.AlgorithmIdentifier;
-import org.mozilla.jss.asn1.*;
-import java.io.*;
 
 /**
  * RFC 2560:
@@ -69,7 +78,8 @@ public class CertID implements ASN1Value
 	///////////////////////////////////////////////////////////////////////
 	// Constructors
 	///////////////////////////////////////////////////////////////////////
-	private CertID() { }
+	@SuppressWarnings("unused")
+    private CertID() { }
 
 	public CertID(AlgorithmIdentifier hashAlgorithm,
 		OCTET_STRING issuerNameHash, OCTET_STRING issuerKeyHash,
@@ -98,12 +108,12 @@ public class CertID implements ASN1Value
 
 	public Tag getTag()
 	{
-		return TAG;
+		return CertID.TAG;
 	}
 
 	public void encode(OutputStream ostream) throws IOException
 	{
-		encode(TAG, ostream);
+		encode(CertID.TAG, ostream);
 	}
 
 	public void encode(Tag implicitTag, OutputStream ostream)
@@ -115,7 +125,7 @@ public class CertID implements ASN1Value
 	private static final Template templateInstance = new Template();
 
 	public static Template getTemplate() {
-		return templateInstance;
+		return CertID.templateInstance;
 	}
 
 	/**
@@ -137,13 +147,13 @@ public class CertID implements ASN1Value
 
 		public boolean tagMatch(Tag tag)
 		{
-			return TAG.equals(tag);
+			return CertID.TAG.equals(tag);
 		}
 
 		public ASN1Value decode(InputStream istream)
 			throws InvalidBERException, IOException
 		{
-			return decode(TAG, istream);
+			return decode(CertID.TAG, istream);
 		}
 
 		public ASN1Value decode(Tag implicitTag, InputStream istream)
diff --git a/pki/base/util/src/com/netscape/cmsutil/ocsp/CertStatus.java b/pki/base/util/src/com/netscape/cmsutil/ocsp/CertStatus.java
index ba1ccbb8f276b5c6f316e4aa7135ce704d48690f..c6fe4b510dee19c764d9b53af118d983fb098efb 100644
--- a/pki/base/util/src/com/netscape/cmsutil/ocsp/CertStatus.java
+++ b/pki/base/util/src/com/netscape/cmsutil/ocsp/CertStatus.java
@@ -17,10 +17,7 @@
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.cmsutil.ocsp;
 
-import java.io.*;
-import org.mozilla.jss.pkix.primitive.Name;
-import org.mozilla.jss.asn1.*;
-import org.mozilla.jss.pkix.cert.Extension;
+import org.mozilla.jss.asn1.ASN1Value;
 
 /**
  * RFC 2560:
diff --git a/pki/base/util/src/com/netscape/cmsutil/ocsp/GoodInfo.java b/pki/base/util/src/com/netscape/cmsutil/ocsp/GoodInfo.java
index b60a568b9b867177eb70ecb12f9a811b9bdad3cf..2577499e9a3645a20c41e94d04c59a2552f248b4 100644
--- a/pki/base/util/src/com/netscape/cmsutil/ocsp/GoodInfo.java
+++ b/pki/base/util/src/com/netscape/cmsutil/ocsp/GoodInfo.java
@@ -17,10 +17,16 @@
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.cmsutil.ocsp;
 
-import java.io.*;
-import org.mozilla.jss.asn1.*;
-import org.mozilla.jss.pkix.primitive.Name;
-import org.mozilla.jss.pkix.cert.Extension;
+import java.io.IOException;
+import java.io.InputStream;
+import java.io.OutputStream;
+
+import org.mozilla.jss.asn1.ASN1Template;
+import org.mozilla.jss.asn1.ASN1Value;
+import org.mozilla.jss.asn1.InvalidBERException;
+import org.mozilla.jss.asn1.NULL;
+import org.mozilla.jss.asn1.SEQUENCE;
+import org.mozilla.jss.asn1.Tag;
 
 /**
  * RFC 2560:
@@ -60,7 +66,7 @@ public class GoodInfo implements CertStatus
         private static final Template templateInstance = new Template();
 
         public static Template getTemplate() {
-                return templateInstance;
+                return GoodInfo.templateInstance;
         }
 
         /**
@@ -80,13 +86,13 @@ public class GoodInfo implements CertStatus
 
                 public boolean tagMatch(Tag tag)
                 {
-                        return TAG.equals(tag);
+                        return GoodInfo.TAG.equals(tag);
                 }
 
                 public ASN1Value decode(InputStream istream)
                         throws InvalidBERException, IOException
                 {
-                        return decode(TAG, istream);
+                        return decode(GoodInfo.TAG, istream);
                 }
 
                 public ASN1Value decode(Tag implicitTag, InputStream istream)
diff --git a/pki/base/util/src/com/netscape/cmsutil/ocsp/KeyHashID.java b/pki/base/util/src/com/netscape/cmsutil/ocsp/KeyHashID.java
index 028feac0344fc24cb3d4d11467a968b1527cd55f..6ce5a255525f5e9c571a9c41f10e531e6f40b049 100644
--- a/pki/base/util/src/com/netscape/cmsutil/ocsp/KeyHashID.java
+++ b/pki/base/util/src/com/netscape/cmsutil/ocsp/KeyHashID.java
@@ -17,9 +17,16 @@
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.cmsutil.ocsp;
 
-import java.io.*;
-import org.mozilla.jss.pkix.primitive.Name;
-import org.mozilla.jss.asn1.*;
+import java.io.IOException;
+import java.io.InputStream;
+import java.io.OutputStream;
+
+import org.mozilla.jss.asn1.ASN1Template;
+import org.mozilla.jss.asn1.ASN1Value;
+import org.mozilla.jss.asn1.InvalidBERException;
+import org.mozilla.jss.asn1.OCTET_STRING;
+import org.mozilla.jss.asn1.SEQUENCE;
+import org.mozilla.jss.asn1.Tag;
 
 /**
  * RFC 2560:
@@ -65,7 +72,7 @@ public class KeyHashID implements ResponderID
         private static final Template templateInstance = new Template();
 
         public static Template getTemplate() {
-                return templateInstance;
+                return KeyHashID.templateInstance;
         }
 
         /**
@@ -87,13 +94,13 @@ public class KeyHashID implements ResponderID
 
                 public boolean tagMatch(Tag tag)
                 {
-                        return TAG.equals(tag);
+                        return KeyHashID.TAG.equals(tag);
                 }
 
                 public ASN1Value decode(InputStream istream)
                         throws InvalidBERException, IOException
                 {
-                        return decode(TAG, istream);
+                        return decode(KeyHashID.TAG, istream);
                 }
 
                 public ASN1Value decode(Tag implicitTag, InputStream istream)
diff --git a/pki/base/util/src/com/netscape/cmsutil/ocsp/NameID.java b/pki/base/util/src/com/netscape/cmsutil/ocsp/NameID.java
index 74fee4feff78176277deb1aa76a320afdf0226f6..511bfb5fad6654512f60d8604b9b87b61452db62 100644
--- a/pki/base/util/src/com/netscape/cmsutil/ocsp/NameID.java
+++ b/pki/base/util/src/com/netscape/cmsutil/ocsp/NameID.java
@@ -17,8 +17,15 @@
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.cmsutil.ocsp;
 
-import java.io.*;
-import org.mozilla.jss.asn1.*;
+import java.io.IOException;
+import java.io.InputStream;
+import java.io.OutputStream;
+
+import org.mozilla.jss.asn1.ASN1Template;
+import org.mozilla.jss.asn1.ASN1Value;
+import org.mozilla.jss.asn1.InvalidBERException;
+import org.mozilla.jss.asn1.SEQUENCE;
+import org.mozilla.jss.asn1.Tag;
 import org.mozilla.jss.pkix.primitive.Name;
 
 /**
@@ -65,7 +72,7 @@ public class NameID implements ResponderID
         private static final Template templateInstance = new Template();
 
         public static Template getTemplate() {
-                return templateInstance;
+                return NameID.templateInstance;
         }
 
         /**
@@ -87,13 +94,13 @@ public class NameID implements ResponderID
 
                 public boolean tagMatch(Tag tag)
                 {
-                        return TAG.equals(tag);
+                        return NameID.TAG.equals(tag);
                 }
 
                 public ASN1Value decode(InputStream istream)
                         throws InvalidBERException, IOException
                 {
-                        return decode(TAG, istream);
+                        return decode(NameID.TAG, istream);
                 }
 
                 public ASN1Value decode(Tag implicitTag, InputStream istream)
diff --git a/pki/base/util/src/com/netscape/cmsutil/ocsp/OCSPRequest.java b/pki/base/util/src/com/netscape/cmsutil/ocsp/OCSPRequest.java
index 97e0a63da981f87a9a96cbda0e2c583408589e4b..72af6b99a098d08385302db5f4407bf9dc560f9b 100644
--- a/pki/base/util/src/com/netscape/cmsutil/ocsp/OCSPRequest.java
+++ b/pki/base/util/src/com/netscape/cmsutil/ocsp/OCSPRequest.java
@@ -17,8 +17,16 @@
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.cmsutil.ocsp;
 
-import org.mozilla.jss.asn1.*;
-import java.io.*;
+import java.io.IOException;
+import java.io.InputStream;
+import java.io.OutputStream;
+
+import org.mozilla.jss.asn1.ASN1Template;
+import org.mozilla.jss.asn1.ASN1Value;
+import org.mozilla.jss.asn1.EXPLICIT;
+import org.mozilla.jss.asn1.InvalidBERException;
+import org.mozilla.jss.asn1.SEQUENCE;
+import org.mozilla.jss.asn1.Tag;
 
 /**
  * RFC 2560:
@@ -61,7 +69,8 @@ public class OCSPRequest implements ASN1Value
 	///////////////////////////////////////////////////////////////////////
 	// Constructors
 	///////////////////////////////////////////////////////////////////////
-	private OCSPRequest() { }
+	@SuppressWarnings("unused")
+    private OCSPRequest() { }
 
 	/* THIS code is probably broken. It does not properly encode the explicit element */
        
@@ -85,12 +94,12 @@ public class OCSPRequest implements ASN1Value
 
 	public Tag getTag()
 	{
-		return TAG;
+		return OCSPRequest.TAG;
 	}
 
 	public void encode(OutputStream ostream) throws IOException
 	{
-		encode(TAG, ostream);
+		encode(OCSPRequest.TAG, ostream);
 	}
 
 	public void encode(Tag implicitTag, OutputStream ostream)
@@ -103,7 +112,7 @@ public class OCSPRequest implements ASN1Value
 
 	public static Template getTemplate()
 	{
-		return templateInstance;
+		return OCSPRequest.templateInstance;
 	}
 
 	/**
@@ -124,13 +133,13 @@ public class OCSPRequest implements ASN1Value
 
 		public boolean tagMatch(Tag tag)
 		{
-			return TAG.equals(tag);
+			return OCSPRequest.TAG.equals(tag);
 		}
 
 		public ASN1Value decode(InputStream istream)
 			throws InvalidBERException, IOException
 		{
-			return decode(TAG, istream);
+			return decode(OCSPRequest.TAG, istream);
 		}
 
 		public ASN1Value decode(Tag implicitTag, InputStream istream)
diff --git a/pki/base/util/src/com/netscape/cmsutil/ocsp/OCSPResponse.java b/pki/base/util/src/com/netscape/cmsutil/ocsp/OCSPResponse.java
index 9c635e36caba26b8938c7815573acada2c5b661c..5ea19dfef017c41e01e974a0e0f3fa429426f103 100644
--- a/pki/base/util/src/com/netscape/cmsutil/ocsp/OCSPResponse.java
+++ b/pki/base/util/src/com/netscape/cmsutil/ocsp/OCSPResponse.java
@@ -17,8 +17,16 @@
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.cmsutil.ocsp;
 
-import org.mozilla.jss.asn1.*;
-import java.io.*;
+import java.io.IOException;
+import java.io.InputStream;
+import java.io.OutputStream;
+
+import org.mozilla.jss.asn1.ASN1Template;
+import org.mozilla.jss.asn1.ASN1Value;
+import org.mozilla.jss.asn1.EXPLICIT;
+import org.mozilla.jss.asn1.InvalidBERException;
+import org.mozilla.jss.asn1.SEQUENCE;
+import org.mozilla.jss.asn1.Tag;
 
 /**
  * RFC 2560:
@@ -53,7 +61,8 @@ public class OCSPResponse implements ASN1Value
 	///////////////////////////////////////////////////////////////////////
 	// Constructors
 	///////////////////////////////////////////////////////////////////////
-	private OCSPResponse() { }
+	@SuppressWarnings("unused")
+    private OCSPResponse() { }
 
 	public OCSPResponse(OCSPResponseStatus responseStatus,
 		ResponseBytes responseBytes)
@@ -75,12 +84,12 @@ public class OCSPResponse implements ASN1Value
 
 	public Tag getTag()
 	{
-		return TAG;
+		return OCSPResponse.TAG;
 	}
 
 	public void encode(OutputStream ostream) throws IOException
 	{
-		encode(TAG, ostream);
+		encode(OCSPResponse.TAG, ostream);
 	}
 
 	public void encode(Tag implicitTag, OutputStream ostream)
@@ -92,7 +101,7 @@ public class OCSPResponse implements ASN1Value
 	private static final Template templateInstance = new Template();
 
 	public static Template getTemplate() {
-		return templateInstance;
+		return OCSPResponse.templateInstance;
 	}
 
 	/**
@@ -115,13 +124,13 @@ public class OCSPResponse implements ASN1Value
 
 		public boolean tagMatch(Tag tag)
 		{
-			return TAG.equals(tag);
+			return OCSPResponse.TAG.equals(tag);
 		}
 
 		public ASN1Value decode(InputStream istream)
 			throws InvalidBERException, IOException
 		{
-			return decode(TAG, istream);
+			return decode(OCSPResponse.TAG, istream);
 		}
 
 		public ASN1Value decode(Tag implicitTag, InputStream istream)
diff --git a/pki/base/util/src/com/netscape/cmsutil/ocsp/OCSPResponseStatus.java b/pki/base/util/src/com/netscape/cmsutil/ocsp/OCSPResponseStatus.java
index 5eff86c44f6f51492f7bb9afdd58380ea80edfb3..5425ced749f76bc515938a8a71470624094aae01 100644
--- a/pki/base/util/src/com/netscape/cmsutil/ocsp/OCSPResponseStatus.java
+++ b/pki/base/util/src/com/netscape/cmsutil/ocsp/OCSPResponseStatus.java
@@ -17,8 +17,15 @@
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.cmsutil.ocsp;
 
-import org.mozilla.jss.asn1.*;
-import java.io.*;
+import java.io.IOException;
+import java.io.InputStream;
+import java.io.OutputStream;
+
+import org.mozilla.jss.asn1.ASN1Template;
+import org.mozilla.jss.asn1.ASN1Value;
+import org.mozilla.jss.asn1.ENUMERATED;
+import org.mozilla.jss.asn1.InvalidBERException;
+import org.mozilla.jss.asn1.Tag;
 
 /**
  * RFC 2560:
@@ -65,7 +72,8 @@ public class OCSPResponseStatus implements ASN1Value
 	///////////////////////////////////////////////////////////////////////
 	// Constructors
 	///////////////////////////////////////////////////////////////////////
-	private OCSPResponseStatus() { }
+	@SuppressWarnings("unused")
+    private OCSPResponseStatus() { }
 
 	public OCSPResponseStatus(long val)
 	{
@@ -80,12 +88,12 @@ public class OCSPResponseStatus implements ASN1Value
 
 	public Tag getTag()
 	{
-		return TAG;
+		return OCSPResponseStatus.TAG;
 	}
 
 	public void encode(OutputStream ostream) throws IOException
 	{
-		encode(TAG, ostream);
+		encode(OCSPResponseStatus.TAG, ostream);
 	}
 
 	public void encode(Tag implicitTag, OutputStream ostream)
@@ -97,7 +105,7 @@ public class OCSPResponseStatus implements ASN1Value
 	private static final Template templateInstance = new Template();
 
 	public static Template getTemplate() {
-		return templateInstance;
+		return OCSPResponseStatus.templateInstance;
 	}
 
 	/**
@@ -107,13 +115,13 @@ public class OCSPResponseStatus implements ASN1Value
 	{
 		public boolean tagMatch(Tag tag)
 		{
-			return TAG.equals(tag);
+			return OCSPResponseStatus.TAG.equals(tag);
 		}
 
 		public ASN1Value decode(InputStream istream)
 			throws InvalidBERException, IOException
 		{
-			return decode(TAG, istream);
+			return decode(OCSPResponseStatus.TAG, istream);
 		}
 
 		public ASN1Value decode(Tag implicitTag, InputStream istream)
diff --git a/pki/base/util/src/com/netscape/cmsutil/ocsp/Request.java b/pki/base/util/src/com/netscape/cmsutil/ocsp/Request.java
index d3d5850fd5be70417342bef1b32689ff0d934d2e..8e53b1b2f03ed11ec1b6df291b82561dcfd85a3e 100644
--- a/pki/base/util/src/com/netscape/cmsutil/ocsp/Request.java
+++ b/pki/base/util/src/com/netscape/cmsutil/ocsp/Request.java
@@ -17,9 +17,17 @@
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.cmsutil.ocsp;
 
+import java.io.IOException;
+import java.io.InputStream;
+import java.io.OutputStream;
+
+import org.mozilla.jss.asn1.ASN1Template;
+import org.mozilla.jss.asn1.ASN1Value;
+import org.mozilla.jss.asn1.EXPLICIT;
+import org.mozilla.jss.asn1.InvalidBERException;
+import org.mozilla.jss.asn1.SEQUENCE;
+import org.mozilla.jss.asn1.Tag;
 import org.mozilla.jss.pkix.cert.Extension;
-import org.mozilla.jss.asn1.*;
-import java.io.*;
 
 /**
  * RFC 2560:
@@ -67,7 +75,8 @@ public class Request implements ASN1Value
 	///////////////////////////////////////////////////////////////////////
 	// constructors
 	///////////////////////////////////////////////////////////////////////
-	private Request() { }
+	@SuppressWarnings("unused")
+    private Request() { }
 
 	public Request(CertID reqCert, SEQUENCE singleRequestExtensions)
 	{
@@ -89,12 +98,12 @@ public class Request implements ASN1Value
 
 	public Tag getTag()
 	{
-		return TAG;
+		return Request.TAG;
 	}
 
 	public void encode(OutputStream ostream) throws IOException
 	{
-		encode(TAG, ostream);
+		encode(Request.TAG, ostream);
 	}
 
 	public void encode(Tag implicitTag, OutputStream ostream)
@@ -107,7 +116,7 @@ public class Request implements ASN1Value
 
 	public static Template getTemplate()
 	{
-		return templateInstance;
+		return Request.templateInstance;
 	}
 
 	/**
@@ -128,13 +137,13 @@ public class Request implements ASN1Value
 
 		public boolean tagMatch(Tag tag)
 		{
-			return TAG.equals(tag);
+			return Request.TAG.equals(tag);
 		}
 
 		public ASN1Value decode(InputStream istream)
 			throws InvalidBERException, IOException
 		{
-			return decode(TAG, istream);
+			return decode(Request.TAG, istream);
 		}
 
 		public ASN1Value decode(Tag implicitTag, InputStream istream)
diff --git a/pki/base/util/src/com/netscape/cmsutil/ocsp/ResponderID.java b/pki/base/util/src/com/netscape/cmsutil/ocsp/ResponderID.java
index 37b8849644a5800462dc654e9274e55b68f5f24e..d5cfa6807d50d6a1d32410015f8c4dd5b75cc932 100644
--- a/pki/base/util/src/com/netscape/cmsutil/ocsp/ResponderID.java
+++ b/pki/base/util/src/com/netscape/cmsutil/ocsp/ResponderID.java
@@ -17,9 +17,7 @@
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.cmsutil.ocsp;
 
-import java.io.OutputStream;
-import org.mozilla.jss.pkix.primitive.*;
-import org.mozilla.jss.asn1.*;
+import org.mozilla.jss.asn1.ASN1Value;
 
 
 /**
diff --git a/pki/base/util/src/com/netscape/cmsutil/ocsp/Response.java b/pki/base/util/src/com/netscape/cmsutil/ocsp/Response.java
index 76f4a360fd8b58d5389c92511496da093e76e738..eb011e1c14fd1e55ee74cdb95783b052f23699ad 100644
--- a/pki/base/util/src/com/netscape/cmsutil/ocsp/Response.java
+++ b/pki/base/util/src/com/netscape/cmsutil/ocsp/Response.java
@@ -17,8 +17,8 @@
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.cmsutil.ocsp;
 
-import java.io.*;
-import org.mozilla.jss.asn1.*;
+import org.mozilla.jss.asn1.ASN1Value;
+import org.mozilla.jss.asn1.OCTET_STRING;
 
 /**
  * RFC 2560:
